const multer = require("multer");

const upload = multer({
  storage: multer.memoryStorage(),
  limits: { fileSize: 15 * 1024 * 1024 },
  fileFilter: function (req, file, next) {
    // clean up property names generated by multer
    file.originalName = file.originalname;
    file.fieldName = file.fieldname;
    file.mimeType = file.mimetype;
    delete file.originalname;
    delete file.fieldname;
    delete file.mimetype;
    next(null, true);
  }
}).single("file");

module.exports = {
  upload
};
